---
--- Date         : 2020-08-14 15:26:40
--- Author       : HUAFEI
--- LastEditors  : LICHAO7
--- LastEditTime : 2020-08-14 15:57:12
--- Description  : Simple flight actor
---
local LBaseActor = ImportScript("ugc_common/script/core/actor/actor.lua").LBaseActor;

---@class LBaseSimpleFightActor
LBaseSimpleFightActor = LBaseSimpleFightActor or class("LBaseSimpleFightActor", LBaseActor);

function LBaseSimpleFightActor:ctor(kActor)
    print("LBaseSimpleFightActor:ctor()", self, kActor);
end

function LBaseSimpleFightActor:dtor()
    print("LBaseSimpleFightActor:dtor()");
end

---@return boolean
function LBaseSimpleFightActor:BeginControl()
    return false;
end

---@return boolean
function LBaseSimpleFightActor:EndControl()
    return false;
end

---
--- Set flight component asset.
---
--- @param strAsset string
--- @param nCompKey number
--- @return boolean
---
function LBaseSimpleFightActor:SetupComponent(strAsset, nCompKey)
    return false;
end